
Foreman - Bug #11685

Editing Puppet class fails due to non-existing host

09/04/2015 04:14 AM - Jon Skarpeteig

Status: Resolved   

Priority: High   

Assignee:    

Category: Parameters   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.8.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When editing Puppet class, GUI prompts that some of the hosts in the list are non-existent. It's also not possible to remove them from

the list effectively blocking any update to the Puppet class.

Probably two bugs here:

- Missing cleanup on host deletion/renaming

- Impossible to remove smart class hosts from edit Puppet class UI

Related issues:

Is duplicate of Foreman - Bug #10915: Delete host doesn't remove host specifi... Closed 06/24/2015

History

#1 - 09/04/2015 04:21 AM - Dominic Cleal

- Is duplicate of Bug #10915: Delete host doesn't remove host specific overrides added

#2 - 09/04/2015 04:22 AM - Dominic Cleal

- Category set to Parameters

- Status changed from New to Need more information

#10915 fixed (1) in Foreman 1.8.3, so deletion of hosts after that should remove the corresponding overrides.

Can you provide more specific steps for (2), including production.log from when you try to remove it?

#3 - 02/29/2016 09:45 AM - Tomer Brisker

- Status changed from Need more information to Resolved

Seems like this issue was resolved and no new information was provided in 6 months. Closing, feel free to reopen if this is still an issue and provide

more information.
